%global namedreltag .Beta17
%global namedversion %{version}%{?namedreltag}

Name:             undertow
Version:          1.0.0
Release:          0.5%{namedreltag}%{?dist}
Summary:          Java web server using non-blocking IO
License:          ASL 2.0 and LGPLv2
URL:              http://undertow.io/
Source0:          https://github.com/undertow-io/undertow/archive/%{namedversion}.tar.gz

BuildArch:        noarch
Epoch:            1

BuildRequires:    aether
BuildRequires:    maven-local
BuildRequires:    maven-checkstyle-plugin
BuildRequires:    apache-mime4j
BuildRequires:    jboss-parent
BuildRequires:    jboss-logging
BuildRequires:    jboss-logging-tools
BuildRequires:    jboss-logmanager
BuildRequires:    xnio
BuildRequires:    easymock3
BuildRequires:    junit
BuildRequires:    netty
BuildRequires:    jboss-classfilewriter
BuildRequires:    jboss-jsp-2.2-api
BuildRequires:    jboss-servlet-3.1-api
BuildRequires:    jboss-websocket-1.0-api
BuildRequires:    eclipse-jdt
BuildRequires:    jastow

%description
Java web server using non-blocking IO

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n undertow-%{namedversion}

rm -rf mac-jdk-fix

# Not needed
%pom_disable_module examples
# Missing mime4j dep
%pom_add_dep org.apache.james:apache-mime4j-core:any:test servlet
# Replacing the JDT implementation
%pom_remove_dep org.jboss.web:jasper-jdt
%pom_add_dep org.eclipse.jdt:core
%pom_remove_dep org.jboss.web:jasper-jdt jsp
%pom_add_dep org.eclipse.jdt:core jsp

%build
# In fedora the eclipse-jdt package doesn't come with org.apache.el.* classes
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Mon Oct 07 2013 Marek Goldmann <mgoldman@redhat.com> - 1:1.0.0-0.5.Beta17
- Upstream release 1.0.0.Beta17

* Tue Sep 10 2013 Marek Goldmann <mgoldman@redhat.com> - 1:1.0.0-0.4.Beta7
- Upstream release 1.0.0.Beta7
- WildFly 1.0.0.Alpha4 doesn't like the Beta11, bumped Epoch

* Tue Sep 10 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.3.Beta11
- Upstream release 1.0.0.Beta11

* Tue Jul 23 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.2.Beta3
- Upstream release 1.0.0.Beta3

* Wed Jun 26 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Alpha21
- Initial packaging

